notifybypost
POST
/notifybypostCreate external transaction notifying via server-to-server POST notification.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringtransactionRequest
transactionType*
numberamount*
stringcalculateFee
booleantipsInputPrompt
booleancalculateTax
booleanexpiry
numbertipAmount
stringfeeAmountC
stringfeeLabelC
stringlTaxAmountC
stringlTaxLabelC
stringgTaxAmountC
stringgTaxLabelC
stringnotificationOption
notifyByPOST*
booleanpostAPI
stringauthHeader
stringpreferences
integrationType*
numberavsVerification
booleaneReceipt
booleaneReceiptInputPrompt
booleancustomerName
stringcustomerEmail
stringcustomerMobile
stringrequestCardToken
booleanshortenURL
booleansendPaymentLink
booleanintegrationVersion
stringlevel3CEDP
booleanpersonalization
merchantName
stringlogoUrl
stringthemeColor
stringdescription
stringpayNowButtonText
stringbuttonColor
stringcancelButtonText
stringdisclaimer
stringPOST/notifybypost
1curl --location 'https://payment.ipospays.tech/api/v3/external-payment-transaction' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "139322815010",
7 "transactionReferenceId": "TXNId00111223334571666"
8 },
9 "transactionRequest": {
10 "transactionType": 1,
11 "amount": "1500",
12 "calculateFee": false,
13 "tipsInputPrompt": false,
14 "calculateTax": false,
15 "expiry": 1,
16 "tipAmount": "",
17 "feeAmount": "",
18 "feeLabel": "",
19 "lTaxAmount": "",
20 "lTaxLabel": "",
21 "gTaxAmount": "",
22 "gTaxLabel": ""
23 },
24 "notificationOption": {
25 "notifyByPOST": true,
26 "postAPI": "",
27 "authHeader": ""
28 },
29 "preferences": {
30 "integrationType": 1,
31 "avsVerification": false,
32 "eReceipt": false,
33 "eReceiptInputPrompt": false,
34 "customerName": "",
35 "customerEmail": "",
36 "customerMobile": "",
37 "requestCardToken": false,
38 "shortenURL": "",
39 "sendPaymentLink": false,
40 "integrationVersion": "",
41 "level3CEDP": ""
42 },
43 "personalization": {
44 "merchantName": "",
45 "logoUrl": "",
46 "themeColor": "",
47 "description": "",
48 "payNowButtonText": "",
49 "buttonColor": "",
50 "cancelButtonText": "",
51 "disclaimer": ""
52 }
53}'
Response
// Awaiting response…
Sample response
{
"message": "URL generated successfully",
"information": ""
}